{% load static %}
<!DOCTYPE html>
<html lang="en-US">
  <head>
      <script src="https://ajax.gogleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
      <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
      <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">  <link rel="icon" href="{% static 'images/symbol.png' %}">
      <meta charset="UTF-8" />
      <meta http-equiv="X-UA-Compatible" content="IE=edge" />
      <meta name="viewport" content="width=device-width, initial-scale=1" />
      <title>It's my life</title>
      <meta
        name="description"
        content="Creative CV is a HTML resume template for professionals. Built with Bootstrap 4, Now UI Kit and FontAwesome, this modern and responsive design template is perfect to showcase your portfolio, skils and experience."
      />
      <link
        href="https://fonts.googleapis.com/css?family=Montserrat:400,700,200"
        rel="stylesheet"
      />
      <link
        href="https://maxcdn.bootstrapcdn.com/font-awesome/latest/css/font-awesome.min.css"
        rel="stylesheet"
      />
      <link href="{% static 'css/aos.css' %}" rel="stylesheet" />
      <link href="{% static 'css/bootstrap.min.css' %}" rel="stylesheet" />
      <link href="{% static 'styles/main.css' %}" rel="stylesheet" />
    </head>
  <nav class="navbar navbar-expand-lg navbar-light blue-grey lighten-5 mb-4">

    <!-- Navbar brand -->
    <a class="navbar-brand" href="#">Nathan CV</a>
  
    <!-- Collapse button -->
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
      aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation"><span
        class="navbar-toggler-icon"></span></button>
  
    <!-- Collapsible content -->
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
  
      <!-- Links -->
      <ul class="navbar-nav mr-auto">
        <li class="nav-item active">
          <a class="nav-link" href="/">Home <span class="sr-only">(current)</span></a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="#">Features</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="#">Pricing</a>
        </li>
  
        <!-- Dropdown -->
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" id="navbarDropdownMenuLink" data-toggle="dropdown"
            aria-haspopup="true" aria-expanded="false">Dropdown</a>
          <div class="dropdown-menu dropdown-primary" aria-labelledby="navbarDropdownMenuLink">
            <a class="dropdown-item" href="#">Action</a>
            <a class="dropdown-item" href="#">Another action</a>
            <a class="dropdown-item" href="#">Something else here</a>
          </div>
        </li>
  
      </ul>
      <!-- Links -->
  
      <!-- Search form -->
      <form class="form-inline">
        <input id= "keyword" class="form-control" type="text" placeholder="Search" aria-label="Search">
      </form>
    </div>
    <!-- Collapsible content -->
  
  </nav>

<body style="background-color:#378C3F;">

<div class="content" style="margin : 5%;">
    <table id="demo" class="table" style = "background-color: #fff">
        <thead  class="thead-dark" >
            <tr>
                <th scope="col" class="align-middle">No</th>
                <th scope="col" class="align-middle">Cover</th>
                <th scope="col" class="align-middle">Title</th>
                <th scope="col" class="align-middle">Authors</th>
                <th scope="col" class="align-middle">Publisher</th>
                <th scope="col" class="align-middle">Published Date</th>
            </tr>
        </thead>
        <tbody id="daftar_isi"></tbody>
    </table>
</div>
</body>


<ol id="daftar_isi">
</ol>



<script type = "text/javascript">
    $(window).on("load",function(){
      var ketikan="belajar"
      $.ajax({
            url: 'https://www.googleapis.com/books/v1/volumes?q=' + ketikan,
            success: function(data){
                
                var array_items = data.items;
                console.log(array_items);
                $("#daftar_isi").empty();
                for (i= 0;i < array_items.length; i++){
                    $("#daftar_isi").append("<tr> <th scope='row' class='align-middle text-center'>" + (i + 1) + "</th>" +
                        "<td><img class='img-fluid' style='width:22vh' src='" +
                        data.items[i].volumeInfo.imageLinks.smallThumbnail + "'></img>" + "</td>" +
                        "<td class='align-middle'>" + data.items[i].volumeInfo.title + "</td>" +
                        "<td class='align-middle'>" + data.items[i].volumeInfo.authors + "</td>" +
                        "<td class='align-middle'>" + data.items[i].volumeInfo.publisher + "</td>" +
                        "<td class='align-middle'>" + data.items[i].volumeInfo.publishedDate + "</td>"
);
                }
            }
        });
    });





    $("#keyword").keyup(function(){
        var ketikan = $("#keyword").val();
        console.log(ketikan);
        $.ajax({
            url: 'https://www.googleapis.com/books/v1/volumes?q=' + ketikan,
            success: function(data){
                
                var array_items = data.items;
                console.log(array_items);
                $("#daftar_isi").empty();
                for (i= 0;i < array_items.length; i++){
                    $("#daftar_isi").append("<tr> <th scope='row' class='align-middle text-center'>" + (i + 1) + "</th>" +
                        "<td><img class='img-fluid' style='width:22vh' src='" +
                        data.items[i].volumeInfo.imageLinks.smallThumbnail + "'></img>" + "</td>" +
                        "<td class='align-middle'>" + data.items[i].volumeInfo.title + "</td>" +
                        "<td class='align-middle'>" + data.items[i].volumeInfo.authors + "</td>" +
                        "<td class='align-middle'>" + data.items[i].volumeInfo.publisher + "</td>" +
                        "<td class='align-middle'>" + data.items[i].volumeInfo.publishedDate + "</td>"
);
                }
            }
        });
    });
</script>
</html>